package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.QuoteCraftMapper;
import com.ruoyi.system.domain.QuoteCraft;
import com.ruoyi.system.service.IQuoteCraftService;

/**
 * 项目报价--服务工艺Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
@Service
public class QuoteCraftServiceImpl implements IQuoteCraftService 
{
    @Autowired
    private QuoteCraftMapper quoteCraftMapper;

    /**
     * 查询项目报价--服务工艺
     * 
     * @param id 项目报价--服务工艺主键
     * @return 项目报价--服务工艺
     */
    @Override
    public QuoteCraft selectQuoteCraftById(Long id)
    {
        return quoteCraftMapper.selectQuoteCraftById(id);
    }

    /**
     * 查询项目报价--服务工艺列表
     * 
     * @param quoteCraft 项目报价--服务工艺
     * @return 项目报价--服务工艺
     */
    @Override
    public List<QuoteCraft> selectQuoteCraftList(QuoteCraft quoteCraft)
    {
        return quoteCraftMapper.selectQuoteCraftList(quoteCraft);
    }

    /**
     * 新增项目报价--服务工艺
     * 
     * @param quoteCraft 项目报价--服务工艺
     * @return 结果
     */
    @Override
    public int insertQuoteCraft(QuoteCraft quoteCraft)
    {
        return quoteCraftMapper.insertQuoteCraft(quoteCraft);
    }

    /**
     * 修改项目报价--服务工艺
     * 
     * @param quoteCraft 项目报价--服务工艺
     * @return 结果
     */
    @Override
    public int updateQuoteCraft(QuoteCraft quoteCraft)
    {
        return quoteCraftMapper.updateQuoteCraft(quoteCraft);
    }

    /**
     * 批量删除项目报价--服务工艺
     * 
     * @param ids 需要删除的项目报价--服务工艺主键
     * @return 结果
     */
    @Override
    public int deleteQuoteCraftByIds(Long[] ids)
    {
        return quoteCraftMapper.deleteQuoteCraftByIds(ids);
    }

    /**
     * 删除项目报价--服务工艺信息
     * 
     * @param id 项目报价--服务工艺主键
     * @return 结果
     */
    @Override
    public int deleteQuoteCraftById(Long id)
    {
        return quoteCraftMapper.deleteQuoteCraftById(id);
    }
}
